{ pkgs, ... }:
{
  boot.kernelModules = [ "kvm-intel" "pppoe" ];
  boot.kernelParams = [ "nomodeset" ];

  hardware.cpu.intel.updateMicrocode = true;

  time.timeZone = "Europe/Berlin";

  environment.systemPackages = with pkgs; [
    git
    inetutils # telnet
    ipmitool
    liboping # noping
    screen
    vim
    wget
  ];

  services.openssh = {
    enable = true;
    settings.PermitRootLogin = "prohibit-password";
  };

  # additional config for bare metal
  services.collectd.plugins.ipmi = "";
}
